import { defineComponent as c, createElementBlock as r, openBlock as t, createVNode as s, createElementVNode as a, unref as i, toDisplayString as d, Fragment as u } from "vue";
import { ScalarIconGavel as m } from "@scalar/icons";
const p = { class: "group flex h-fit items-center last:border-r-0 xl:border-r xl:first:ml-auto" }, f = ["href"], h = { class: "ml-1 empty:hidden" }, _ = { class: "ml-1 empty:hidden" }, k = /* @__PURE__ */ c({
  __name: "License",
  props: {
    value: {}
  },
  setup(v) {
    return (e, b) => {
      var n, o, l;
      return t(), r("div", p, [
        (n = e.value) != null && n.url ? (t(), r("a", {
          key: 0,
          class: "text-c-1 hover:bg-b-2 mr-2 flex min-h-7 min-w-7 items-center rounded-lg border px-2 py-1 no-underline group-last:mr-0 xl:border-none",
          href: e.value.url,
          target: "_blank",
          rel: "noopener noreferrer"
        }, [
          s(i(m), {
            weight: "bold",
            class: "size-3 text-current"
          }),
          a("span", h, d(((o = e.value) == null ? void 0 : o.name) || e.value.identifier || e.value.url), 1)
        ], 8, f)) : (t(), r(u, { key: 1 }, [
          s(i(m), {
            weight: "bold",
            class: "size-3 text-current"
          }),
          a("span", _, d((l = e.value) == null ? void 0 : l.name), 1)
        ], 64))
      ]);
    };
  }
});
export {
  k as default
};
